package tools.descartes.dql.connector.vsp;

import com.vmware.vim25.ManagedObjectReference;
import com.vmware.vim25.ServiceContent;
import com.vmware.vim25.VimPortType;
import com.vmware.vim25.VimService;

public class VSphereSession {
	public static final String SVC_INST_NAME = "ServiceInstance";

	private ManagedObjectReference managedObjectReference = new ManagedObjectReference();
	private VimService vimService = null;
	private VimPortType vimPort = null;
	private ServiceContent serviceContent = null;
	private boolean isConnected = false;

	public void flush(){
		managedObjectReference = null;
		vimPort = null;
		vimService = null;
		serviceContent = null;
		isConnected = false;
	}
	
	public boolean isConnected() {
		return isConnected;
	}

	public void setConnected(boolean isConnected) {
		this.isConnected = isConnected;
	}

	public ManagedObjectReference getManagedObjectReference() {
		return managedObjectReference;
	}

	public void setManagedObjectReference(
			ManagedObjectReference managedObjectReference) {
		this.managedObjectReference = managedObjectReference;
	}

	public VimService getVimService() {
		return vimService;
	}

	public void setVimService(VimService vimService) {
		this.vimService = vimService;
	}
	
	public VimPortType getVimPort() {
		return vimPort;
	}

	public void setVimPort(VimPortType vimPort) {
		this.vimPort = vimPort;
	}

	public ServiceContent getServiceContent() {
		return serviceContent;
	}

	public void setServiceContent(ServiceContent serviceContent) {
		this.serviceContent = serviceContent;
	}

}
