/**
 * ==============================================
 *  DQL : Descartes Query Language
 * ==============================================
 *
 * (c) Copyright 2014-2016, by Juergen Walter, Fabian Gorsler, Fabian Brosig and other contributors.
 *
 * Project Info:   http://descartes.tools/dql
 *
 * All rights reserved. This software is made available under the terms of the
 * Eclipse Public License (EPL) v1.0 as published by the Eclipse Foundation
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * This software is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the Eclipse Public License (EPL)
 * for more details.
 *
 * You should have received a copy of the Eclipse Public License (EPL)
 * along with this software; if not visit http://www.eclipse.org or write to
 * Eclipse Foundation, Inc., 308 SW First Avenue, Suite 110, Portland, 97204 USA
 * Email: license (at) eclipse.org
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 */
package tools.descartes.pavo.types;

import java.util.List;

import org.jfree.chart.JFreeChart;
import org.jfree.data.general.DefaultPieDataset;

import tools.descartes.pavo.result.AbstractQuantitativeResult;
import tools.descartes.pavo.result.ResultContainerPavo;
import tools.descartes.pavo.rubbish.IVisualizationType;
import tools.descartes.pavo.rubbish.ResultClass;



public class PieChart  extends AbstractVisualizationType implements IVisualizationType{
	
	public PieChart(ResultContainerPavo resultN) {
		super(resultN);

	}

	/**
	 * Pie Chart (requires two or more ResultValues with same metric (same or
	 * adjusted scale)
	 * 
	 * Compare aggregates of timeseries, timeseries cannot be compared directly
	 * e.g., response times of subservices (use total time for scale)
	 */
	
	boolean canBeApplied(List<AbstractQuantitativeResult> results) {
		return true;
	}
	
	
	public static boolean canBeApplied(ResultClass result) {
		return true;
	}

	public static JFreeChart getPlot(ResultClass result) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public JFreeChart visualize() {
		return null;
	}

	@Override
	public boolean canVisualize() {
		// TODO Auto-generated method stub
		return false;
	}

	
	
	
}